# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::CSSRule Class Reference

The `CSSRule` interface is the abstract base interface for any type of CSS statement . More...

`#include <css_rule.h>`

Inheritance diagram for DOM::CSSRule:

[legend]
List of all members.

## Public Types

enum | RuleType { UNKNOWN_RULE = 0, STYLE_RULE = 1, CHARSET_RULE = 2, IMPORT_RULE = 3, MEDIA_RULE = 4, FONT_FACE_RULE = 5, PAGE_RULE = 6, QUIRKS_RULE = 100 }

## Public Member Functions

| CSSRule (const CSSRule &other)
| CSSRule (CSSRuleImpl *impl)
CSSRule & | operator= (const CSSRule &other)
unsigned short | type () const
DOM::DOMString | cssText () const
void | setCssText (const DOM::DOMString &)
CSSStyleSheet | parentStyleSheet () const
CSSRule | parentRule () const
CSSRuleImpl * | handle () const
bool | isNull () const

## Protected Member Functions

void | assignOther (const CSSRule &other, RuleType thisType)

## Protected Attributes

CSSRuleImpl * | impl

## Detailed Description

The `CSSRule` interface is the abstract base interface for any type of CSS statement .

This includes both rule sets and at-rules . An implementation is expected to preserve all rules specified in a CSS style sheet, even if it is not recognized. Unrecognized rules are represented using the `CSSUnknownRule` interface.

Definition at line 52 of file css_rule.h.

## Member Enumeration Documentation

enum DOM::CSSRule::RuleType

| An integer indicating which type of rule this is. Definition at line 67 of file css_rule.h.

## Member Function Documentation

unsigned short CSSRule::type | ( |  | ) | const

| The type of the rule, as defined above. The expectation is that binding-specific casting methods can be used to cast down from an instance of the `CSSRule` interface to the specific derived interface implied by the `type` . Definition at line 59 of file css_rule.cpp.

DOMString CSSRule::cssText | ( |  | ) | const

| The parsable textual representation of the rule. This reflects the current state of the rule and not its initial value. Definition at line 65 of file css_rule.cpp.

void CSSRule::setCssText | ( | const DOM::DOMString & |  | ) |

see cssText

Exceptions:

  | DOMException | HIERARCHY_REQUEST_ERR: Raised if the rule cannot be inserted at this point in the style sheet.

NO_MODIFICATION_ALLOWED_ERR: Raised if this style sheet is readonly.

Exceptions:

  | CSSException | SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.

INVALID_MODIFICATION_ERR: Raised if the specified CSS string value represents a different type of rule than the current one.

Definition at line 71 of file css_rule.cpp.

CSSStyleSheet CSSRule::parentStyleSheet | ( |  | ) | const

| The style sheet that contains this rule. Definition at line 77 of file css_rule.cpp. References DOM::StyleSheet::parentStyleSheet().

CSSRule CSSRule::parentRule | ( |  | ) | const

| If this rule is contained inside another rule (e.g. a style rule inside an @media block), this is the containing rule. If this rule is not nested inside any other rules, this returns `null` . Definition at line 83 of file css_rule.cpp.

The documentation for this class was generated from the following files:

- css_rule.h
- css_rule.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:35 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003